## TestSuiteMetadata

# Enum TestSuiteMetadata

Source

    pub enum TestSuiteMetadata {
        CargoPackage {
            crates: Vec<String>,
            target: String,
            host: String,
            stage: u32,
        },
        Compiletest {
            suite: String,
            mode: String,
            compare_mode: Option<String>,
            target: String,
            host: String,
            stage: u32,
        },
    }

## Variants§

§

### CargoPackage

#### Fields

§`crates: Vec<String>`
§`target: String`
§`host: String`
§`stage: u32`
§

### Compiletest

#### Fields

§`suite: String`
§`mode: String`
§`compare_mode: Option<String>`
§`target: String`
§`host: String`
§`stage: u32`

## Trait Implementations§

Source§

### impl<'de> Deserialize<'de> for TestSuiteMetadata

Source§

#### fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>
where __D: Deserializer<'de>,

Deserialize this value from the given Serde deserializer. Read more
Source§

### impl Serialize for TestSuiteMetadata

Source§

#### fn serialize<__S>(&self, __serializer: __S) -> Result<__S::Ok, __S::Error>
where __S: Serializer,

Serialize this value into the given Serde serializer. Read more

## Auto Trait Implementations§

§

### impl Freeze for TestSuiteMetadata

§

### impl RefUnwindSafe for TestSuiteMetadata

§

### impl Send for TestSuiteMetadata

§

### impl Sync for TestSuiteMetadata

§

### impl Unpin for TestSuiteMetadata

§

### impl UnwindSafe for TestSuiteMetadata

## Blanket Implementations§

§

### impl<T> Any for T
where T: 'static + ?Sized,

§

#### fn type_id(&self) -> TypeId

Gets the `TypeId` of `self`. Read more
§

### impl<T> Borrow<T> for T
where T: ?Sized,

§

#### fn borrow(&self) -> &T

Immutably borrows from an owned value. Read more
§

### impl<T> BorrowMut<T> for T
where T: ?Sized,

§

#### fn borrow_mut(&mut self) -> &mut T

Mutably borrows from an owned value. Read more
§

### impl<T> From<T> for T

§

#### fn from(t: T) -> T

Returns the argument unchanged.

§

### impl<T, U> Into<U> for T
where U: From<T>,

§

#### fn into(self) -> U

Calls `U::from(self)`.

That is, this conversion is whatever the implementation of `From<T> for U` chooses to do.

§

### impl<T, U> TryFrom<U> for T
where U: Into<T>,

§

#### type Error = Infallible

The type returned in the event of a conversion error.
§

#### fn try_from(value: U) -> Result<T, <T as TryFrom<U>>::Error>

Performs the conversion.
§

### impl<T, U> TryInto<U> for T
where U: TryFrom<T>,

§

#### type Error = <U as TryFrom<T>>::Error

The type returned in the event of a conversion error.
§

#### fn try_into(self) -> Result<U, <U as TryFrom<T>>::Error>

Performs the conversion.
§

### impl<T> DeserializeOwned for T
where T: for<'de> Deserialize<'de>,

## Layout§

Note: Most layout information is completely unstable and may even differ between compilations. The only exception is types with certain `repr(...)` attributes. Please see the Rust Reference's “Type Layout” chapter for details on type layout guarantees.

Size: 128 bytes

Size for each variant:

- `CargoPackage`: 88 bytes
- `Compiletest`: 128 bytes